
$ErrorActionPreference = 'Stop';

$packageName = 'kitware-ninja'
$url = 'https://github.com/Kitware/ninja/releases/download/v1.7.1.g7ca7f.kitware.dyndep-1/ninja-1.7.1.g7ca7f.kitware.dyndep-1_i686-pc-windows-msvc.zip'
$checksum = 'c95feaf319518f882197e41ae8b944e92bd9332ed7fef864b6d5db6dc6614515'
$url64 = 'https://github.com/Kitware/ninja/releases/download/v1.7.1.g7ca7f.kitware.dyndep-1/ninja-1.7.1.g7ca7f.kitware.dyndep-1_i686-pc-windows-msvc.zip'
$checksum64 = 'c95feaf319518f882197e41ae8b944e92bd9332ed7fef864b6d5db6dc6614515'

$tools = Get-ToolsLocation
$root = Join-Path $tools $packageName
New-Item -ItemType Directory -Force -Path $root | Out-Null

$directories = @()
Get-ChildItem -Path $root -Filter *.exe -Recurse -File -Name| ForEach-Object {
	$fullpath = Join-Path $root $_
	$directories += [System.IO.Path]::GetDirectoryName($fullpath)
}

$path = [System.Environment]::GetEnvironmentVariable(
    'PATH',
    'Machine'
)

$directories | Sort-Object | Get-Unique | ForEach-Object {

	$unwanted = $_ 
	$path = ($path.Split(';') | Where-Object { $_ -ne $unwanted }) -join ';'
}

[System.Environment]::SetEnvironmentVariable(
    'PATH',
    $path,
    'Machine'
)

Remove-Item -Recurse -Force $root

Install-ChocolateyZipPackage -PackageName "$packageName" -Url "$url" -UnzipLocation "$root" -Url64bit "$url64" -Checksum "$checksum" -ChecksumType 'sha256' -Checksum64 "$checksum64" -ChecksumType64 'sha256'

$directories = @()
Get-ChildItem -Path $root -Filter *.exe -Recurse -File -Name| ForEach-Object {
	$fullpath = Join-Path $root $_
	$directories += [System.IO.Path]::GetDirectoryName($fullpath)
}

$directories | Sort-Object | Get-Unique | ForEach-Object {
	Install-ChocolateyPath -PathToInstall "$_" -PathType 'Machine'
}

